Hooks:PostHook(WeaponFactoryTweakData, "init", "LaserAmmoConversion_Factory", function(self)
	self.parts.wpn_fps_upg_laser_conversion.override_weapon = {
		sounds = {
			fire = "laser_ammo_fire",
			fire_single = "laser_ammo_fire_single",
			fire_auto = "laser_ammo_fire",
			stop_fire = "laser_ammo_fire_stop",
			magazine_empty = "laser_ammo_empty"
		},
	}
	self.parts.wpn_fps_upg_laser_conversion.override_weapon_multiply = {
		AMMO_MAX = 1 / 1.25,
		fire_mode_data = {
			fire_rate = 1 / 1.25
		}
	}
	self.parts.wpn_fps_upg_laser_conversion.forbids = {"wpn_fps_upg_i_autofire", "wpn_fps_upg_i_singlefire"}
	self.parts.wpn_fps_upg_laser_conversion.perks = {"fire_mode_auto"}
	
	for part_id, part_data in pairs(self.parts) do
		if part_data.perks then
			for _, perk in ipairs(part_data.perks) do
				if (perk == "silencer") then
					table.list_append(self.parts.wpn_fps_upg_laser_conversion.forbids, {part_id})
					break
				end
			end
		end
	end
	
	for weapon_id, _ in pairs(self) do
		if (weapon_id ~= "wpn_fps_lmg_shuno") and (weapon_id ~= "wpn_fps_lmg_m134") and not string.find(weapon_id, "_npc") then
			if string.find(weapon_id, "fps_ass") or string.find(weapon_id, "fps_smg") or string.find(weapon_id, "fps_lmg") then
				table.list_append(self[weapon_id].uses_parts, {"wpn_fps_upg_laser_conversion"})
			end
		end
	end

end)
